> For the complete documentation index, see [llms.txt](https://documentation.carbonregistry.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://documentation.carbonregistry.com/documentation/carbonregistry.com/api/endpoints/v0.5/credits.md).

# Credits

### Credit data

#### Get credit data for a specific project

Given the id of a project this endpoint returns the summary of credit data for all vintages for the project. Callable by any access token regardless of permissions.

{% openapi src="/files/e1BPG9KQvvapGzTy8alf" path="/carbonCredits/projects/{id}" method="get" %}
[openapi.yaml](https://2441265052-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfIdoGcZZdvap67xjb5h1%2Fuploads%2Fmabe2nfB82a3vZ8qM4e9%2Fopenapi.yaml?alt=media\&token=b0070a9e-b5c0-4246-9200-1241aa683103)
{% endopenapi %}

{% tabs %}
{% tab title="cURL" %}

```
curl -X 'GET' \
  'https://api.carbonregistry.com/carbonCredits/projects/{PROJECT_ID}' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"\
  -H 'x-icr-api-version: 2023-06-16'
```

{% endtab %}

{% tab title="Typescript" %}

{% endtab %}
{% endtabs %}

#### Get credit data for ICR Buffer Account

This endpoint returns the credit inventory for the ICR buffer account. Callable by any access token regardless of permissions.

{% openapi src="/files/e1BPG9KQvvapGzTy8alf" path="/carbonCredits/icr/inventory/buffer" method="get" %}
[openapi.yaml](https://2441265052-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfIdoGcZZdvap67xjb5h1%2Fuploads%2Fmabe2nfB82a3vZ8qM4e9%2Fopenapi.yaml?alt=media\&token=b0070a9e-b5c0-4246-9200-1241aa683103)
{% endopenapi %}

{% tabs %}
{% tab title="cURL" %}

```
curl -X 'GET' \
  'https://api.carbonregistry.com/carbonCredits/icr/inventory/buffer' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"\
  -H 'x-icr-api-version: 2023-06-16'
```

{% endtab %}

{% tab title="Typescript" %}

{% endtab %}
{% endtabs %}

#### Get credit data for ICR Adjustment Account

This endpoint returns the credit inventory for the ICR adjustment account. Callable by any access token regardless of permissions.

{% openapi src="/files/e1BPG9KQvvapGzTy8alf" path="/carbonCredits/icr/inventory/adjustment" method="get" %}
[openapi.yaml](https://2441265052-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfIdoGcZZdvap67xjb5h1%2Fuploads%2Fmabe2nfB82a3vZ8qM4e9%2Fopenapi.yaml?alt=media\&token=b0070a9e-b5c0-4246-9200-1241aa683103)
{% endopenapi %}

{% tabs %}
{% tab title="cURL" %}

```
curl -X 'GET' \
  'https://api.carbonregistry.com/carbonCredits/icr/inventory/adjustment' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"\
  -H 'x-icr-api-version: 2023-06-16'
```

{% endtab %}
{% endtabs %}

#### Get credit data for ICR Organization Account

This endpoint returns the credit inventory for the ICR organization account. Callable by any access token regardless of permissions.

{% openapi src="/files/e1BPG9KQvvapGzTy8alf" path="/carbonCredits/icr/inventory/organization" method="get" %}
[openapi.yaml](https://2441265052-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfIdoGcZZdvap67xjb5h1%2Fuploads%2Fmabe2nfB82a3vZ8qM4e9%2Fopenapi.yaml?alt=media\&token=b0070a9e-b5c0-4246-9200-1241aa683103)
{% endopenapi %}

{% tabs %}
{% tab title="cURL" %}

```
curl -X 'GET' \
  'https://api.carbonregistry.com/carbonCredits/icr/inventory/organization' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"\
  -H 'x-icr-api-version: 2023-06-16'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://documentation.carbonregistry.com/documentation/carbonregistry.com/api/endpoints/v0.5/credits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
